import 'package:flutter/material.dart';

class AkilliSatir extends StatelessWidget {
  List<Widget> widgetlar;
  int genisEkranParcaSayisi;
  int normalEkranParcaSayisi;
  int kucukEkranParcaSayisi;
  double widgetlarArasiBosluk;
  bool ilkWidgetGenis;
  bool sonWidgetGenis;

  AkilliSatir({this.widgetlar, this.genisEkranParcaSayisi = 4, this.ilkWidgetGenis = false, this.sonWidgetGenis = false, this.widgetlarArasiBosluk = 16.0, this.normalEkranParcaSayisi = 2, this.kucukEkranParcaSayisi = 1});

  @override
  Widget build(BuildContext context) {
    int parcaSayisi = genisEkranParcaSayisi;
    if (MediaQuery.of(context).size.width > 950) {
    } else if (MediaQuery.of(context).size.width > 600) {
      parcaSayisi = normalEkranParcaSayisi;
    } else {
      parcaSayisi = kucukEkranParcaSayisi;
    }

    return Column(
      children: <Widget>[
        for (int i = 0; i < (widgetlar.length / parcaSayisi).ceil(); i++)
          Row(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: <Widget>[
              for (int j = 0; j < parcaSayisi; j++)
                if (widgetlar.length > i * parcaSayisi + j)
                  Expanded(
                    flex: ilkWidgetGenis && i * parcaSayisi + j == 0 ? 2 : sonWidgetGenis && i * parcaSayisi + j == widgetlar.length - 1 ? 2 : 1,
                    child: Center(child: widgetlar[i * parcaSayisi + j]),
                  )
            ],
          )
      ],
    );
  }
}
