import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:mcg_simple_web_widget/image.dart';

class Arkaplan extends StatelessWidget {
  final Color arkaplanRengi;
  final Widget child;
  final String arkaplanResmi;
  final Color filtreRengi;
  final double filtreOpakligi;
  final double genislik;
  final double yukseklik;
  final bool resimAnimasyonu;

  Arkaplan({this.child, this.arkaplanRengi, this.resimAnimasyonu = false, this.genislik, this.yukseklik, this.arkaplanResmi, this.filtreRengi = Colors.transparent, this.filtreOpakligi = 0.4});

  @override
  Widget build(BuildContext context) {
    return arkaplanResmi == null
        ? new Container(
            width: genislik ?? double.infinity,
            height: yukseklik,
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                child,
              ],
            ),
            decoration: BoxDecoration(color: arkaplanRengi),
          )
        : resimAnimasyonu
            ? Stack(
                children: <Widget>[
                  AnimasyonluResim(
                    resimYolu: arkaplanResmi,
                    yukseklik: yukseklik,
                    genislik: genislik,
                  ),
                  Container(
                      width: genislik ?? double.infinity,
                      height: yukseklik,
                      child: new Card(
                        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(0.0)),
                        color: filtreRengi.withOpacity(filtreOpakligi),
                        margin: EdgeInsets.zero,
                        elevation: 0.0,
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: <Widget>[
                            child,
                          ],
                        ),
                      )),
                ],
              )
            : new Container(
                width: genislik ?? double.infinity,
                height: yukseklik,
                decoration: new BoxDecoration(
                  image: new DecorationImage(image: new AssetImage(arkaplanResmi), fit: BoxFit.cover, colorFilter: ColorFilter.linearToSrgbGamma()),
                ),
                child: new Card(
                  shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(0.0)),
                  color: filtreRengi.withOpacity(filtreOpakligi),
                  margin: EdgeInsets.zero,
                  elevation: 0.0,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      child,
                    ],
                  ),
                ),
              );
  }
}
